# pdirect.h File Reference

`#include "unix/ptlib/pdirect.h"`

Go to the source code of this file.

## Classes

class | PFileInfo
| Class containing the system information on a file path. More...
class | PDirectory
| Class to represent a directory in the operating system file system. More...

## Defines

#define | PDIR_SEPARATOR '/'
#define | P_MAX_PATH (_POSIX_PATH_MAX)

## Typedefs

typedef PString | PFilePathString

## Define Documentation

#define P_MAX_PATH (_POSIX_PATH_MAX)

#define PDIR_SEPARATOR '/'

## Typedef Documentation

typedef PString PFilePathString